Delen via


Monitoring - Retrieve Widget

Hiermee haalt u de eigenschappen en configuratie van de widget op.

GET http://<Servername>/OperationsManager/monitoring/widget/{widgetId}

URI-parameters

Name In Vereist Type Description
widgetId
path True

string

Geef de widget-ID op

Antwoorden

Name Type Description
200 OK

ComponentResponse

OK. De eigenschappen en configuratie van de widget zijn opgehaald.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Voorbeelden

Monitoring_RetrieveWidget

Voorbeeldaanvraag

GET http://<Servername>/OperationsManager/monitoring/widget/8c9a13a6-0547-facb-bf43-e4af529a3468

Voorbeeldrespons

{
  "id": "8c9a13a6-0547-facb-bf43-e4af529a3468",
  "name": "Data from shell",
  "description": null,
  "mpId": "da187e72-b9d7-9e16-d098-3b0a624dc38c",
  "componentType": "HtmlPowershellWidget",
  "config": "{\"widgetDisplay\":{\"col\":1,\"row\":2,\"sizex\":6,\"sizey\":4},\"widgetParameters\":{\"script\":\"$class = Get-SCOMClass -Name Microsoft.Windows.Computer  \\n$computers = Get-SCOMClassInstance -Class $class  \\n$i=1  \\nforeach ($computer in $computers)  \\n{  \\n    $results=$ScriptContext.CreateFromObject($computer,\\\"Id=Id,HealthState=HealthState,DisplayName=DisplayName\\\",$null)   \\n    $results[\\\"CustomColumn\\\"]=$i   \\n    $ScriptContext.ReturnCollection.Add($results)   \\n    $i++   \\n}\"},\"widgetRefreshInterval\":5}"
}

Definities

ComponentResponse

Name Type Description
componentType

string

Onderdeeltype

config

string

configuratie

description

string

Beschrijving van de component

id

string

ID-kaart

mpId

string

MP-ID van onderdeel

name

string

Onderdeelnaam